Subject: Re: bug#44783: 28.0.50; wish for eww: include gopher and gemini links

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Nov 2020 10:13:09 +0100

Jean Louis <[email-masked]> writes:

>> If goto-address-mode calls browse-url, yes.

[...]

> 	(let ((url (browse-url-url-at-point)))
> 	  (if url
> 	      (browse-url url)
> 	    (error "No e-mail address or URL found")))))))

So it does use browse-url

> Do you think that this above need not be changed and that I can still
> update to follow any type of hyperlink with the new change?

I'm not sure what you're asking -- I have made no change to
goto-address-mode or browse-url.

browse-url-handlers is the variable to customise to change how
browse-url works, now as before.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no